com.genesyslab.wfm8.API.service.schedule852

## Class SchSnapshot

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchSnapshot

- All Implemented Interfaces:
    java.io.Serializable

      public class SchSnapshot
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Snapshot
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `cfgAgentCount` Count of agents in the snapshot
    `protected int` | `schAgentDayCount` Count of schedule agent days in the snapshot
    `protected java.lang.String` | `schSnapshotID` Schedule Snapshot ID
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` Snapshot timestamp

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchSnapshot()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getCfgAgentCount()` Gets the value of the cfgAgentCount property.
    `int` | `getSchAgentDayCount()` Gets the value of the schAgentDayCount property.
    `java.lang.String` | `getSchSnapshotID()` Gets the value of the schSnapshotID property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `hashCode()`
    `void` | `setCfgAgentCount(int value)` Sets the value of the cfgAgentCount property.
    `void` | `setSchAgentDayCount(int value)` Sets the value of the schAgentDayCount property.
    `void` | `setSchSnapshotID(java.lang.String value)` Sets the value of the schSnapshotID property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `java.lang.String` | `toString()`
    `SchSnapshot` | `withCfgAgentCount(int value)`
    `SchSnapshot` | `withSchAgentDayCount(int value)`
    `SchSnapshot` | `withSchSnapshotID(java.lang.String value)`
    `SchSnapshot` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### schSnapshotID

          protected java.lang.String schSnapshotID

      Schedule Snapshot ID

    - #### schAgentDayCount

          protected int schAgentDayCount

      Count of schedule agent days in the snapshot

    - #### cfgAgentCount

          protected int cfgAgentCount

      Count of agents in the snapshot

    - #### timestamp

          protected long timestamp

      Snapshot timestamp

  - ### Constructor Detail

    - #### SchSnapshot

          public SchSnapshot()

  - ### Method Detail

    - #### getSchSnapshotID

          public java.lang.String getSchSnapshotID()

      Gets the value of the schSnapshotID property.
      Returns:
        possible object is `String`

    - #### setSchSnapshotID

          public void setSchSnapshotID(java.lang.String value)

      Sets the value of the schSnapshotID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSchAgentDayCount

          public int getSchAgentDayCount()

      Gets the value of the schAgentDayCount property.

    - #### setSchAgentDayCount

          public void setSchAgentDayCount(int value)

      Sets the value of the schAgentDayCount property.

    - #### getCfgAgentCount

          public int getCfgAgentCount()

      Gets the value of the cfgAgentCount property.

    - #### setCfgAgentCount

          public void setCfgAgentCount(int value)

      Sets the value of the cfgAgentCount property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withSchSnapshotID

          public SchSnapshot withSchSnapshotID(java.lang.String value)

    - #### withSchAgentDayCount

          public SchSnapshot withSchAgentDayCount(int value)

    - #### withCfgAgentCount

          public SchSnapshot withCfgAgentCount(int value)

    - #### withTimestamp

          public SchSnapshot withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.